.mainPageDiv {
    display: flex;
    justify-content: center;
}

.mainPageDivChild {
    width: fit-content;
}

.mainPageContentDiv{
    margin-top: 30px;
    width: 100%;
}

.mainPagePhotoTitle{
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    text-align: center;
}

.mainPagePhotoTitleDiv {
    display: flex;
    justify-content: center;
}
.mainPagePhoto {
    width: 400px;
    height: 350px;
}

.mainPagePhotoDiv {
    display: flex;
    justify-content: center;
}

.mainPageSignUpContentDiv {
    display: flex;
    justify-content: center;
}

.mainPageSignUpButton {
    margin-top: 20px;
    width: 50.4%;
    height: 3em;
    background-color: rgb(32, 32, 32);
    border: none;
    border-radius: 10px;
    transition: .2s ease;
}

.mainPageSignUpButton:hover {
    color: rgb(149, 149, 253);
    background-color: rgb(21, 21, 21);

}

.navLinkFavorites {
    text-decoration: none;
    color: rgb(255, 255, 255);
    margin-right: 15px;
}

.carousel {
    width: 100%;
    max-height: 800px;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;

}

.carousel::before,
.carousel::after {
    content: '';
    position: absolute;
    top: 0;
    width: 25%;
    height: 100%;
    background-color: black;
    z-index: 2;
}

.carousel::before {
    left: 0;

}

.carousel::after {
    right: 0;
}
.carousel-images {
    display: flex;
    transition: transform 1s ease;
    width: 300%;
    height: auto;
}

.carousel-image {
    width: 100%;
    flex: 0 0 auto;
    transition: opacity 1s ease;
    max-height: 700px;
    object-fit: cover;
}

.searchInputHomeDivParent {
    margin-top: 16px;
    display: flex;
    justify-content: center;
}

.searchInputHomeDiv {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    width: fit-content;
}


.searchInputHome {
    padding-right: 30px;
    border-radius: 100px;
    border: 1px solid black;
    text-align: center;
    color: rgb(0, 0, 0);
    width: 14em;
}

.searchInputHome::placeholder {
    color: rgb(0, 0, 0)
}

.searchIconHome {
    position: absolute;
    right: 10px;
    color: rgb(0, 0, 0);
}

.searchIconHome:hover {
    color: blue;
}
